classification
Title: test_coercion failing on Panther
Type: Stage:
Components: macOS Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jackjansen Nosy List: jackjansen, jyasskin, tim.peters
Priority: high Keywords:

Created on 2003-07-22 21:16 by jackjansen, last changed 2008-03-17 15:07 by jyasskin. This issue is now closed.

Messages (5)
msg17260 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-07-22 21:16
Test_coercion is failing on Panther. All the failures have the 
same form: the output is (XXX-0j) in stead of the expected 
(XXX+0j).
msg17261 - (view) Author: Tim Peters (tim.peters) * (Python committer) Date: 2003-07-22 21:29
Logged In: YES 
user_id=31435

Ignore it -- the sign of a float 0 is more accidental than not.  
If the compiler has a switch to disable generation of fused 
multiply-add instructions, the failure will probably go away.

After 2.3, we should rewrite the test so that "sign of 0" cases 
aren't even tried anymore.
msg17262 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-07-23 09:04
Logged In: YES 
user_id=45365

Edward had also come across the bug, and suggests the following:

The workaround is to add the complier flag "-mno-fused-madd".  
This works for Jaguar and Panther, but I don't know how far back 
it may go.  My test report for c1 uses this flag.

The question is: do we fix this for rc2 or leave it?
msg17263 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-07-23 22:19
Logged In: YES 
user_id=45365

Fixed in configure.in rev. 1.427, configure rev. 1.416.
msg63648 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-03-17 15:07
I reverted this in r61436 to fix issue 1779871. Either the test has
changed in the mean time, or the gccs bundled since OS X 10.4 now
preserve the signs of 0.
History
Date User Action Args
2008-03-17 15:07:50jyasskinsetnosy: + jyasskin
messages: + msg63648
2003-07-22 21:16:50jackjansencreate